/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DLOPTION.CPP   1.5   20 Jun 1996 09:29:28   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DLOPTION.CPP  $
** 
**    Rev 1.5   20 Jun 1996 09:29:28   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:06   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:35:44   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dloption.cpp
//
// Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "dl.h"
#include "dloption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DLOption dialog


DLOption::DLOption(DLTool * pTool)
    : CPropertyPage(DLOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(DLOption)
    
    //}}AFX_DATA_INIT
}

void DLOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(DLOption)
    DDX_Check(pDX, IDC_DLOPT_CHECK1, m_fLSymbol);
    DDX_Check(pDX, IDC_DLOPT_CHECK3, m_fLine);
    DDX_Check(pDX, IDC_DLOPT_CHECK2, m_fPSymbol);
    DDX_Text(pDX, IDC_DLOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_DLOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void DLOption::SaveData(void)
{
//  UpdateData(TRUE);

    m_pTool->m_fLSymbol        = m_fLSymbol;
    m_pTool->m_fLine   = m_fLine;
    m_pTool->m_fPSymbol = m_fPSymbol;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;

}

void DLOption::LoadData(void)
{
    m_fLSymbol        = m_pTool->m_fLSymbol;
    m_fLine   = m_pTool->m_fLine;
    m_fPSymbol = m_pTool->m_fPSymbol;
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;

}

BEGIN_MESSAGE_MAP(DLOption, CPropertyPage)
    //{{AFX_MSG_MAP(DLOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// DLOption message handlers
